Groovy 1.7.10

## groovy.lang
[Java] Annotation Type Mixin

    java.lang.Object
      groovy.lang.Mixin

    @Retention(RetentionPolicy.SOURCE)
    @Target(ElementType.TYPE)
    @GroovyASTTransformationClass("org.codehaus.groovy.ast.MixinASTTransformation")
    public @interface Mixin

Provides a mechanism for mixing in methods into a class.

Authors:
  Alex Tkachman

Method Summary

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Copyright © 2003-2010 The Codehaus. All rights reserved.